package com.alterdekim.game.service;

import com.alterdekim.flash.decompiler.mapper.OutputObjectCallback;
import com.alterdekim.game.entity.PhoneIcon;
import com.alterdekim.game.repository.PhoneIconRepository;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

@Service
public class PhoneIconService implements OutputObjectCallback {
    @Autowired
    private PhoneIconRepository repository;

    @Override
    public void onOutputObjectReady(Object o) {
        this.repository.save((PhoneIcon) o);
    }
}
